/**
 * Filtering listings according to Gutenberg settings
 */
const BaseFilterer = ({ listings, listingsType }) => {
	// Non-filter option

	if (listingsType === 'all') {
		return listings;
	}

	if( !listings.length ){
		return [];
	}

	// additional types per productType
	let additionalApartmentTypes = [
		'PLOTS',
		'FARMS',
		'GARAGES',
		'NEWLY_CONSTRUCTED',
		'VACATION_APARTMENT'
	];

	const baseListings = listings.filter((listing) => {
		if (typeof listing.rawDataForFiltering.productGroup !== 'undefined') {
			if (listing.rawDataForFiltering.productGroup === listingsType) {
				return true;
			}

			if( listingsType === 'APARTMENTS' ){
				if( additionalApartmentTypes.includes(listing.rawDataForFiltering.productGroup) ){
					return true;
				}
			}
		}
		return false;
	});

	return baseListings;
};

export default BaseFilterer;
